<h1><%= @title = 'New Filter' %></h1>
<%= render_errors_for "filter_obj" %>
<div class="frm">
  <%= start_form_tag({:action => 'create'}, {:name => 'frm'}) %>
  <fieldset>
    <legend>New Filter</legend>
    <table cellspacing="4" cellpadding="4" border="0">
      <tr>
	<td width="40%"><label>Include</label></td>
	<td>
	  <input type="checkbox" name="filter[include][]" value="open" />&nbsp;Open Tasks&nbsp;
	  <input type="checkbox" name="filter[include][]" value="closed" />&nbsp;Closed Tasks&nbsp;
	</td>
      </tr>
      <tr>
	<td><label for="estimate">Estimate</label></td>
	<td><%= check_box "filter", "estimate", :id => "estimate" %>&nbsp;Show only tasks without estimates</td>
      </tr>
      <tr>
	<td><label for="category">Category</label></td>
	<td><%= select "filter", "category", ['-- All Categories --'] + Bug::CATEGORY, {}, "style" => "width: 250px;" %></td>
      </tr>
      <tr>
	<td><label for="project">Project</label></td>
	<td>
	  <select name="filter[project]" id="project" style="width: 250px;" onchange="javascript:projectChanged(this.options.selectedIndex);">
	    <option value="-1">-- All projects --</option>
	    <% for project in @projects %>
	    <option value="<%= project.id %>"><%= project.name %></option>
	    <% end %>
	  </select>
	</td>
      </tr>
      <tr>
	<td><label for="area">Area</label></td>
	<td>
	  <select name="filter[area]" id="area" style="width: 250px;">
	    <option value="-1">-- All areas --</option>
	  </select>
	  <script language="javascript" type="text/javascript">
	    <!--
		var ars = new Array();
		var ars_ids = new Array();
		var ars_prj_ids = new Array();
		<% i = 0 %>
		<% for project in @projects %>	    
		<% for area in project.areas %>
		ars[<%= i %>] = '<%= area.name %>';
		ars_ids[<%= i %>] = <%= area.id %>;
		ars_prj_ids[<%= i %>] = <%= project.id %>;
		<% i += 1 %>
		<% end %>
		<% end %>
		-->
	  </script>
	</td>
      </tr>
      <tr>
	<td><label for="open_by">Open by</label></td>
	<td>
	  <select name="filter[open_by]" id="open_by" style="width: 250px;">
	    <option value="-1">-- Anybody --</option>
	    <% for user in @users %>
	    <option value="<%= user.id %>"><%= user.full_name %></option>
	    <% end %>
	  </select>
	</td>
      </tr>
      <tr>
	<td><label for="assigned_to">Assigned to</label></td>
	<td>
	  <select name="filter[assigned_to]" id="assigned_to" style="width: 250px;">
	    <option value="-1">-- Anybody --</option>
	    <% for user in @users %>
	    <option value="<%= user.id %>"><%= user.full_name %></option>
	    <% end %>
	  </select>
	</td>
      </tr>
      <tr>
	<td><label for="status">Status</label></td>
	<td>
	  <select name="filter[status]" id="status" style="width: 250px;">
	    <option value="-1">-- All --</option>
	    <option value="-2">-- RESOLVED - ANY RESOLUTION --</option>
	    <% Bug::STATUS_NAMES.each_with_index do |status, idx| %>
	    <option value="<%= idx %>"><%= status %></option>
	    <% end %>
	  </select>
	</td>
      </tr>
      <tr>
	<td><label for="fix_for">Fix For</label></td>
	<td>
	  <select name="filter[release]" id="fix_for" style="width: 250px;">
	    <option value="-1">-- All --</option>
	    <option value="-2">Unspecified</option>
	  </select>
	  <script language="javascript" type="text/javascript">
	    <!--
	    var rels = new Array();
	    var rels_ids = new Array();
	    var rels_prj_ids = new Array();
	    <% i = 0 %>
	    <% for project in @projects %>	    
	    <% for release in project.find_all_in_releases('assignable = 1') %>
	    rels[<%= i %>] = '<%= release.name %>';
	    rels_ids[<%= i %>] = <%= release.id %>;
	    rels_prj_ids[<%= i %>] = <%= project.id %>;
	    <% i += 1 %>
	    <% end %>
            <% end %>
            -->
	  </script>
	</td>
      </tr>
      <tr>
	<td><label for="priority">Priority</label></td>
	<td>
	  <%= select "filter", "priority_operation", %w{= <= >=} %>&nbsp;
	  <select name="filter[priority]" id="priority">
	    <option value="-1">-- All --</option>
	    <% for priority in @priorities %>
	    <option value="<%= priority.id %>"><%= priority.title %></option>
	    <% end %>
	  </select>
	</td>
      </tr>
      <tr>
	<td><label for="limit">Show</label></td>
	<td>
	  First&nbsp;<%= text_field "filter", "limit", "id" => "limit", "size" => 4 %>&nbsp;tasks
	</td>
      </tr>
      <tr>
	<td><label for="name">Save as</label></td>
	<td><%= text_field "filter", "name", "id" => "name", "size" => 30 %></td>
      </tr>
    </table>
  </fieldset>
  <div class="btn">
    <input type="submit" value="Save Filter" />&nbsp;
    <input type="button" value="Cancel" onclick="javascript:window.location = '<%= url_for :action => "list" %>'" />
  </div>
  <%= end_form_tag %>
</div>
<script language="javascript" type="text/javascript">
<!--
    function projectChanged(x) {
      var project = document.frm['filter[project]'];
      // RELEASES
      var opts = document.frm['filter[release]'];
      for(i = opts.length - 1; i > 1; i--)
        opts[i] = null;
      var id = 2;
      for(i = 0; i < rels.length; i++) {
        if(project.options[x].value == rels_prj_ids[i]) {
          opts[id] = new Option(rels[i], rels_ids[i]);
          id++;
        }
      }
      // AREAS
      var opts = document.frm['filter[area]'];
      for(i = opts.length - 1; i > 0; i--)
        opts[i] = null;
      var id = 1;
      for(i = 0; i < ars.length; i++) {
        if(project.options[x].value == ars_prj_ids[i]) {
          opts[id] = new Option(ars[i], ars_ids[i]);
          id++;
        }
      }
    }
    projectChanged(document.frm['filter[project]'].options.selectedIndex);
-->
</script>
